use serde::{Deserialize, Serialize};

use crate::transfer::Transfer;

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct TransferRecord {
    #[serde(rename = "Source Plate", alias = "source plate", alias = "src plate")]
    pub source_plate: String,
    #[serde(rename = "Source Well", alias = "source well", alias = "src well")]
    pub source_well: String,
    #[serde(
        rename = "Dest Plate",
        alias = "dest plate",
        alias = "destination plate"
    )]
    pub destination_plate: String,
    #[serde(
        rename = "Destination Well",
        alias = "destination well",
        alias = "dest well"
    )]
    pub destination_well: String,
    #[serde(rename = "Transfer Volume", alias = "transfer volume")]
    #[serde(default = "volume_default")]
    pub volume: f32,
    #[serde(rename = "Concentration", alias = "concentration")]
    pub concentration: Option<f32>,
}

pub fn volume_default() -> f32 {
    Transfer::default().volume
}

