
use yew::prelude::*;

use plate_tool_lib::plate_instances::PlateInstance;
use plate_tool_lib::plate::PlateType;

#[derive(PartialEq, Properties)]
pub struct PlateProps {
    pub source_plate: PlateInstance,
    pub destination_plate: PlateInstance,
    pub cell_height: f64,
    pub ptype: PlateType,
}

pub type MStartHandle = UseStateHandle<Option<(u8, u8)>>;
pub type MEndHandle = UseStateHandle<Option<(u8, u8)>>;
pub type MStatHandle = UseStateHandle<bool>;

#[derive(Debug)]
pub enum MouseEventType {
    Mousedown,
    Mouseenter,
}
